classification
Title: defusedexpat not supported past python 3.3/3.4
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Avi Kelman, Mariatta, ZackerySpytz, christian.heimes, docs@python, miss-islington
Priority: normal Keywords: patch

Created on 2019-10-24 14:45 by Avi Kelman, last changed 2020-09-06 01:33 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22095 merged ZackerySpytz, 2020-09-04 19:46
PR 22099 merged miss-islington, 2020-09-04 20:58
PR 22100 merged miss-islington, 2020-09-04 20:58
Messages (5)
msg355337 - (view) Author: Avi Kelman (Avi Kelman) Date: 2019-10-24 14:45
https://docs.python.org/3/library/xml.html continues to recommend defusedexpat, but that package won't install for any Python versions after 3.4 because the package isn't being maintained. https://bitbucket.org/tiran/defusedexpat/src/default/ linked from https://pypi.org/project/defusedexpat/ stops at 3.3. https://github.com/tiran/defusedexpat stops at 3.4.

If the package doesn't actually work for newer Pythons, the recommendation should be removed from official documentation.
msg376403 - (view) Author: miss-islington (miss-islington) Date: 2020-09-04 20:57
New changeset 51b84f8e96a441c498210f827c1297ee4973525f by Zackery Spytz in branch 'master':
bpo-38585: Remove references to defusedexpat (GH-22095)
https://github.com/python/cpython/commit/51b84f8e96a441c498210f827c1297ee4973525f
msg376406 - (view) Author: miss-islington (miss-islington) Date: 2020-09-04 21:17
New changeset 6386e86becc2096206e16d7f5fabb5752bdd9b37 by Miss Islington (bot) in branch '3.9':
bpo-38585: Remove references to defusedexpat (GH-22095)
https://github.com/python/cpython/commit/6386e86becc2096206e16d7f5fabb5752bdd9b37
msg376407 - (view) Author: miss-islington (miss-islington) Date: 2020-09-04 22:25
New changeset 1470c9189c8b099e0be94b4d89842f5345b776ec by Miss Islington (bot) in branch '3.8':
bpo-38585: Remove references to defusedexpat (GH-22095)
https://github.com/python/cpython/commit/1470c9189c8b099e0be94b4d89842f5345b776ec
msg376451 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2020-09-06 01:33
Thanks for the report and thanks Zackery for the PR.
History
Date User Action Args
2020-09-06 01:33:59Mariattasetstatus: open -> closed

nosy: + Mariatta
messages: + msg376451

resolution: fixed
stage: patch review -> resolved
2020-09-04 22:25:13miss-islingtonsetmessages: + msg376407
2020-09-04 21:17:49miss-islingtonsetmessages: + msg376406
2020-09-04 20:58:58miss-islingtonsetpull_requests: + pull_request21187
2020-09-04 20:58:50miss-islingtonsetpull_requests: + pull_request21186
2020-09-04 20:57:56miss-islingtonsetnosy: + miss-islington
messages: + msg376403
2020-09-04 19:46:55ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request21182
stage: patch review
2019-10-24 14:48:41vstinnersetnosy: + christian.heimes
2019-10-24 14:45:42Avi Kelmancreate